<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Hospital cards</title>
  <link rel="icon" type="image/x-icon" href="./img/logo.png">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  <link rel="stylesheet" href="css/style.css">
</head>
<body>
  <header class="container-fluid bg-secondary bg-gradient pb-3 pt-3 position-relative border-bottom border-top">
    <nav class="col-7 m-auto d-flex justify-content-between">
      <a href="#" class="d-flex text-decoration-none link-light">
        <img style="height: 50px;" class="rounded shadow-lg"
          src="img/logo.png"
          alt="logo">
          <h1 class="d-inline-block ms-2 text-uppercase">Hospital</h1>
      </a>
      <button data-bs-toggle="modal" data-bs-target="#exampleModal" class="btn btn-primary btn-lg shadow-lg border btn-auntification header-button">Вхід</button>
      <button class="btn btn-primary btn-lg shadow-lg border btn-add btn__create-card visually-hidden header-button">Створити візит</button>
    </nav>
    <div class="modal modal-authorization position-absolute start-50 translate-middle" style="z-index: 2; width:400px; top:300px" >
      <form class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Авторизація</h5>
          <button type="button" class="btn-close modal-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <div class="input-group mb-3">
            <span class="input-group-text">Email</span>
            <input type="text"  class="form-control input-email">
          </div>
          <div class="input-group">
            <span class="input-group-text">Password</span>
            <input type="password"  class="form-control input-password">
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" class="btn btn-primary btn__send-request">Вхід</button>
        </div>
      </form>
      <div class="modal modal-error position-absolute start-50 translate-middle" style="z-index: 3; width:500px; top:150px">
        <div class="modal-dialog">
          <div class="modal-content border">
            <div class="modal-header bg-danger">
              <h5 class="modal-title font-weight-bold">⚠ Error</h5>
              <button type="button" class="btn-close error-close"></button>
            </div>
            <div class="modal-body">
              <p class="ms-2">Authentication Error!</p>
              <p class="ms-2">Please check login and password.</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-primary error-close">Close</button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="modal modal-create-card position-absolute start-50 translate-middle" style="z-index: 2; width:400px; top:450px" >
      <form class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Створити візит</h5>
          <button type="button" class="btn-close modal-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body">
          <div class="input-group mb-3">
            <span class="input-group-text">Лікар</span>
            <select class="form-select select-doctor">
              <option selected="" value="Cardiologist">Кардіолог</option>
              <option value="Dentist">Стоматолог</option>
              <option value="Therapist">Терапевт</option>
            </select>
          </div>
          <div class="input-group mb-3">
            <span class="input-group-text">Мета візиту</span>
            <input type="text"  class="form-control visit-title">
          </div>
          <div class="form-floating mb-3">
            <textarea class="form-control" id="textareaCreateCard" style="height: 100px"></textarea>
            <label for="textareaCreateCard">Короткий опис візиту</label>
          </div>
          <div class="input-group mb-3">
            <span class="input-group-text">Терміновість</span>
            <select class="form-select visit-priority">
              <option selected="" value="Low">звичайна</option>
              <option value="Normal">пріоритетна</option>
              <option value="High">невідкладна</option>
            </select>
          </div>
          <div class="input-group mb-3">
            <span class="input-group-text">ПІБ</span>
            <input type="text"  class="form-control visit-client__name">
          </div>
          <div class="modal-optional pt-4 border ps-2 pe-2">
            <div class="input-group mb-3">
              <span class="input-group-text">Звичайний тиск</span>
              <input type="text"  class="form-control visit-presure">
            </div>
            <div class="input-group mb-3">
              <span class="input-group-text">Індекс маси тіла</span>
              <input type="text"  class="form-control visit-weight">
            </div>
            <div class="input-group mb-3">
              <textarea class="form-control visit-diseases" value = "andrii" placeholder="Перенесені захворювання серцево-судинної системи" id="textareaСardiologistCard" style="height: 100px"></textarea>
            </div>
            <div class="input-group mb-3">
              <span class="input-group-text">Вік</span>
              <input type="text"  class="form-control visit-client__old">
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" class="btn btn-primary btn__send-request">Зберегти</button>
        </div>
      </form>
    </div>
  </header>
  <main>
    <section class="filter col-7 m-auto pb-1 pt-4">
      <div class="input-group col m-1">
        <input type="text" class="form-control search-desc" placeholder="Пошук">
      </div>
      <div class="input-group col m-1">
        <select class="form-select status-search" >
          <option selected value="All">All</option>
          <option value="Open">Open</option>
          <option value="Done">Done</option>
        </select>
      </div>
      <div class="input-group col m-1">
        <select class="form-select search-priority">
          <option selected value="High">High</option>
          <option value="Normal">Normal</option>
          <option value="Low">Low</option>
        </select>
      </div>
      <button class="btn btn-search btn-primary col border m-1">Пошук</button>
      </div>
    </section>
    <section id="section-cards" class="cards-wrapper">
    </section>
  </main>
  <script src="https://code.jquery.com/jquery-1.12.4.min.js"></script>
  <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.min.js"></script>
  <script type="module" src="./script.js"></script>
</body>

</html>